#ifndef __iistcl_h__
#define __iistcl_h__

extern "C" {
  #include "ximtool.h"
}

#define IISDEBUG 0
#define MAXCHANNEL 40

class IIS {
 private:
  Tcl_Interp* interp;

 public:
  XimData xim;
  IoChan* chan[MAXCHANNEL];
  void (*func[MAXCHANNEL])(IoChan*, int*, void*);

 public:
  IIS(Tcl_Interp*);
  ~IIS();

  void eval(char*);
  const char* result() {return interp->result;}
  int open(int, char*[]);
  int close();
  int retcur(int, char*[]);
};

extern IIS* iis;

#endif;
