#ifndef __ellipse_h__
#define __ellipse_h__

#include "baseellipse.h"

class Ellipse : public BaseEllipse {
private:
  void updateHandles();

public:
  Ellipse(Frame* p, const Vector& ctr, const Vector& r, double a, 
	  const char* clr,  const char* f, const char* t, unsigned short prop);

  void edit(const Vector&, int);

  const Vector& getRadius() {return radii[0];}
  void setRadius(const Vector&);

  void list(ostream&, int, int, const char*);
  void listCiao(ostream&, int, int, const char*);
  void listFtools(ostream&, int, int, const char*);
  void listSAOimage(ostream&, const char*);
  void listPros(ostream&, int, int, const char*);
};

#endif


